### Method

# Gtk IconViewset_columns

deprecated: 4.10

#### Declaration [src]

    void
    gtk_icon_view_set_columns (
      GtkIconView* icon_view,
      int columns
    )

#### Description [src]

Sets the ::columns property which determines in how many columns the icons are arranged. If `columns` is -1, the number of columns will be chosen automatically to fill the available area.

Deprecated since: 4.10

Use `GtkGridView` instead.

Sets property | `Gtk.IconView:columns`

#### Parameters

`columns`

  Type: `int`

  The number of columns.